Vocalus’ Technical Requirements

Please check that your systems support these minimum system requirements:

Browser: Chrome 10+, Firefox 3.5+, Safari 4+, Internet Explorer 7+, Opera 10+

Operating system: Windows XP/2000/Vista/2003/7, OSX 10.3+

Screen resolution: 1024x768 or higher

Computer processor: Pentium 4 or newer processor that supports SSE2

Computer memory: 512 MB+

Internet connection: 1000 Kbps or faster

Plugins: Adobe Flash http://get.adobe.com/flashplayer/

VOIP requirements: Skype (FREE Skype Download)

Zoom: (FREE Zoom Download)

Students should download Skype or Zoom VOIP for online lessons with their teachers. These downloads are simple to install and free.


Firewall configuration:
If internet access has been restricted by your administrators, please ensure these domains are added to the firewall to enable full access to content on the platform:

.english360.com (this serves the html)

.amazonaws.com (for user images and content)

.cloudfront.net (for site image and styles)

.dictionary.cambridge.org/ (serves the Cambridge Online Dictionary)

Since Vocalus does not control the Amazon cloud or how it works, there may be other domains that Amazon decide to use to serve up the content (especially outside the US) so this list may change without warning at any time.


Pop-up blockers:
To receive confirmation and warnings for actions you carry out on the platform, please ensure you enable pop-ups on your browser. If you are using a pop-up blocker i.e. a 3rd party blocker or browser add-ons, you will not receive confirmation warnings for any actions and you will not be able to access dictionary definitions.

Contact:
For further help or queries please contact:
For technical support / enquiries: courses@vocalus.com

Not loading?:
When in doubt, check http://www.downforeveryoneorjustme.com/ This is a quick and free way to check if a website is not loading because of a problem on your end, or if it is the website (its host) itself having problems
Share This